
QGIS Application - Bug report #20280

QGIS Crash on add or remove usb drive

2018-10-30 06:26 PM - Patrick Lough

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.4.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28101

Description

User Feedback

Ejecting or adding USB Drive crashes QGIS 3.4 with clean profile on Windows 10

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicated by QGIS Application - Bug report # 20339: QGIS 3.4.0 crashes when ... Closed 2018-11-02

Duplicated by QGIS Application - Bug report # 21278: Crash Qgis Closed 2019-02-15

Duplicated by QGIS Application - Bug report # 20543: v. 3.4.1 Crash on pluggi... Closed 2018-11-19

Duplicated by QGIS Application - Bug report # 20374: QGIS 3.4.1 Crash on ejec... Closed 2018-11-06
Duplicated by QGIS Application - Bug report # 20500: Change style for polygon Closed 2018-11-15

Duplicated by QGIS Application - Bug report # 20534: qgis crashed Closed 2018-11-17

Associated revisions

Revision fd5a1c82 - 2018-11-01 10:32 PM - Nyall Dawson

Fix crash on Windows on idle/usb notifications

Fixes #20312, #20319, #20312, #20307, #20299, #20297, #20280

(maybe others)

Revision 4659e692 - 2018-11-01 11:54 PM - Nyall Dawson

Fix crash on Windows on idle/usb notifications

Fixes #20312, #20319, #20312, #20307, #20299, #20297, #20280

(maybe others)

(cherry picked from commit fd5a1c82ec212c58c446ccb13e537484d44b6862)

History

#1 - 2018-10-30 08:03 PM - Pavel Popoca Cruz

It also happens on Windows 8.1, and Ubuntu 18.04. Not only with flashdrives, but with any storage units' change: external HDD, or even CD/DVD.

#2 - 2018-10-31 10:20 AM - Giovanni Manghi

- Category changed from GUI to Build/Install

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

How replicate?

eject/add a drive while QGIS is working?

#3 - 2018-10-31 11:24 AM - Pavel Popoca Cruz

Yes, that's precisely how it happens

#4 - 2018-10-31 12:31 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Regression? changed from No to Yes

Confirmed, does not happens on 2.18

#5 - 2018-10-31 12:48 PM - Pedro Venâncio

2025-05-18 2/4



Confirmed also here:

Crash ID: 0528813285224215fe95252f0a8bedbd2cda0b4b

Stack Trace

QgsNative::openFileExplorerAndSelectFile :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgsHandleBadLayers::qt_metacall :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: 73134b4c3e

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

No problem using QGIS 3.4 with the USB drive inserted. Data can be used from USB drive, and exported to it, without any problem.

The crash only happens in the insert or eject of the USB drive, with the QGIS 3.4 open, even if it has no data inserted.

To reproduce:

 1. Open QGIS 3.4;

 2.1 Insert a USB drive -> Crash happens;

 2.2 Evejt an already inserted USB drive -> Crash happens.

#6 - 2018-10-31 12:58 PM - Pedro Venâncio

Ejecting the USB device without safely remove hardware, also crashes QGIS 3.4.

No problem with QGIS 2.18.25 on same machine.
#7 - 2018-11-01 10:32 PM - Nyall Dawson

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|fd5a1c82ec212c58c446ccb13e537484d44b6862.

#8 - 2018-11-11 02:31 PM - Jürgen Fischer

- Duplicated by Bug report #20339: QGIS 3.4.0 crashes when USB flash drive is inserted in computer added

#9 - 2019-02-24 02:11 AM - Jürgen Fischer

- Duplicated by Bug report #21278: Crash Qgis added

#10 - 2019-02-24 02:17 AM - Jürgen Fischer

- Duplicated by Bug report #20543: v. 3.4.1 Crash on plugging in my GPS unit added

#11 - 2019-02-24 02:19 AM - Jürgen Fischer

- Duplicated by Bug report #20374: QGIS 3.4.1 Crash on eject sd card added

#12 - 2019-02-24 02:19 AM - Jürgen Fischer

- Duplicated by Bug report #20500: Change style for polygon added

#13 - 2019-02-24 02:19 AM - Jürgen Fischer

- Duplicated by Bug report #20534: qgis crashed added
